System requirements

In this article

    System requirements for SuperOffice CRM 8.

    We have published several articles regarding security and deployment which should be considered during installing and upgrading to SuperOffice CRM 8.

    SuperOffice CRM Server with database, archive, Win client installer, Web client and Service

    Please see the new System requirements from SuperOffice 8.3 R04 below.

    Server hosting SuperOffice CRM server 

    The SuperOffice CRM server is only used for hosting the client files and document archive.

    Server Operating System: Microsoft Windows Server 2019
    Microsoft Windows Server 2016
    Microsoft Windows Server 2012 R2
    Microsoft Windows Server 2012
    Microsoft Windows Server 2008 R2 SP1
    Document Archive: File share on a server to store documents and e-mails archived in SuperOffice
    Protocol: File share uses standard SMB port 445
    Database: Oracle or Microsoft SQL Server: supported versions
    Distribution: All windows client files (MSI) are installed on the server along with the database configuration tool dbsetup.exe
    Disk space: 3,5 GB for SuperOffice Web, Server and Service files with all languages. 1 GB document archive*


    *The size of the document archive will vary depending on the amount of users and documents created from SuperOffice. Size the disk space according to your own business needs.

    Server hosting IIS which is used for SuperOffice S&M Web client, SuperOffice Service, SuperOffice Mailings and SuperOffice Audience.  

    Processor: Intel ® 3.0Ghz Dual or Quad Core (x86) or (x64) 
    AMD™3.0Ghz Dual or Quad Core (x86) or (x64)
    Memory: 3 GB
    Operating system: Microsoft Windows Server 2019
    Microsoft Windows Server 2016
    Microsoft Windows Server 2012 R2
    Microsoft Windows Server 2012
    Microsoft Windows Server 2008 R2 SP1
    Internet Information Server Microsoft IIS 10
    Microsoft IIS 8.5
    Microsoft IIS 8.0
    Microsoft IIS 7.5
    Network/Bandwith: The preferred bandwidth for the web servers should be 1 Mbit/sec for all installations up to 50 users. We estimate the individual user’s bandwidth consumption to add up to an average of 20Kbit/sec.
    Mail servers Exchange Server 2010 64bit and newer
    Domino Server 10.0
    Domino Server 9.0
    MAPI/SoMaGate (Win client only)
    IMAP: Port 143 or 993 (SSL) must be open between the Sales & Marketing web server and mailserver
    SMTP: Port 25 or 465 (SSL) must be open between the Sales & Marketing web server and mailserver
    Requisites: Microsoft .NET v 4.5.1 (as a web download)
    Microsoft .NET v 4.7.1 from 8.3 R04 (see info below)
    Windows communication foundation (on both the server running Sales & Marketing web and the server running NetServer webservices)
    Local administrator rights (installation)

    Note! Audience does not support remote web services and must use the web services installed with the product.

    SuperOffice CRM win or web

    Please see the new System requirements from SuperOffice 8.3 R04 below.If you are running SuperOffice Web Tools and SSL please upgrade to SuperOffice 8.0 SR1 to avoid using TLS 1.0. Netserver used by Pocket CRM still needs TLS 1.0 up til version 8.0.32 (R14) client released August 15th 2016.

    Sales, Marketing and Service client computer 

    Processor: Intel ® 1.8Ghz (x86) or (x64) 
    AMD™ 1.8 Ghz (x86) or (x64)
    Memory: 2 GB
    Operation system Microsoft Windows 10, minimum Anniversary update
    Microsoft Windows 8.1 (32bit) or (64bit)
    Microsoft Windows 7 SP1 (32bit) or (64bit)
    Mac - web client only **
    Network: TCP/IP-network with less than 10 ms response time
    Screen: Minimum screen resolution 1280 x 960
    Database - Travel (offline):
    Win client only
    Microsoft SQL Server 2014 Express *
    Microsoft SQL Server 2008/2008 R2 Express *
    Sybase 12 (Built-in or Standalone)
    Browsers - Web panels: Internet Explorer 11
    Edge for Windows 10
    Chrome
    Firefox 20+ Win
    Chrome Mac
    FireFox Mac
    Safari Mac
    Microsoft Office (x86 and x64): Microsoft Office 2019
    Microsoft Office 365 for Business
    Microsoft Office 2016
    Microsoft Office 2013
    Microsoft Office 2010
    Microsoft Office 2007
    SuperOffice Maillink: Outlook 2019
    Outlook 2016
    Outlook 2013
    Outlook 2010 
    Outlook 2007
    Lotus Notes 10
    Lotus Notes 9
    Lotus Notes 8 
    Lotus Notes 7
    SuperOffice Ribbons: Microsoft Office 2019
    Microsoft Office 2016
    Microsoft Office 2013
    Microsoft Office 2010
    Microsoft Office 2007
    Requisites installed by client installer: Microsoft .NET v 4.5.1 (as a web download)
    Microsoft .NET v 4.7.1 from 8.3 R04 (see info below)
    VSTO 2010 runtime (32bit or 64bit) for Ribbons on Office 2007 / 2010 / 2013 / 2016 / 2019
    Visual C++ 2017 runtime for x86 (version 14.14.26429.4)
    Reporter runtime (version 9.0.30729.17)

    Note! When running SuperOffice in a Citrix and Terminal server environments where users share memory, actual requirements and product functionality may vary based on your system configuration.

    Enable Clear Type Text on all clients running CRM Win app for the best user experience.

    To run Web Tools with Web Extensions and Mail Link the client is required to have .Net Framework 4.5.1 (full). 

    * The computer generating the prototype must support the clients version of SQL Express.

    **SuperOffice CRM Web will run on Mac, though with some limitations: cross table reports not supported.

    App for IOS/Android

    Pocket CRM

    Operation system: iOS - Pocket CRM client (Available from Apple App Store)
    Google Android - Pocket CRM client  (Available from Google Play)
    (Windows 10 - End of Life)
     
    Network: Pocket CRM is an online application that needs a network from the mobile phone to the web services. All datatraffic is compressed and designed to have minimum overhead to save bandwith.
    Minimum bandwith GPRS ( 114 kbp/s )
    Recommended bandwith 3G ( 384 -> 2 Mbp/s ) 
    Documents: Office documents needs supported viewer software installed on device
    Netserver: For direct Netserver connection Netserver must be version 8.0 or higher. The site must allow TLS 1.0 if you are running on a Pocket CRM version lower than 8.0.32 which was released August 15th 2016. From August 15th 2016 we added support for TLS 1.2 communincation protocols between device and server.
    E-mail: Pocket CRM use the same components as SuperOffice inbox in web. See web server requirements
    Business card scanner: Business card scanner will work with all SuperOffice versions, both Onsite and Online. It requires Pocket client to be configured againts Netserver (no Pocket server)

    In order to be able to use all released features for Pocket CRM you need to use the direct Netserver connection mode.

    System Requirements from 8.3 R04

    From SuperOffice 8.3 R04 we require Microsoft .NET 4.7.1 on:

    • All client computers that will run our Windows client.
    • All servers running our web based software (Sales & Marketing Web, Netserver, Service). 
    • The server hosting SuperOffice CRM Server (ServerSetup) to be able to run ServerSetup and DBSetup.exe.

    SuperOffice WebTools (Web Extensions and MailLink) will not have this requirement yet. They will continue to run on .Net 4.5.1. This means that our CRM Online customers are not affected by this change for now.

    There are two main reasons for this change:

    • Security patches are no longer shipped by Microsoft on .NET 4.5.x.
    • New versions of our developing tools needs this to enable us to be more productive.

     

    Please note:

    • .NET 4.7.1 has already been pushed with Windows Update for a while and is preinstalled from Windows 10 Fall Creators Update (version 1709) and newer.
    • .NET 4.7.1 is supported by Windows 7 SP1 or newer as Client OS, except Windows 8.0. Windows 8.0 is no longer supported by Microsoft. Windows 10 is supported from Windows 10 Anniversary Update (version 1607).
    • .NET 4.7.1 is supported by Windows Server 2008 R2 SP1 or newer as Server OS.

    See: https://docs.microsoft.com/en-us/dotnet/framework/get-started/system-requirements